@echo off
set MINDEXFLAG=0
set EMPMP=1
set EMPZR=0
if .%1.==.-fi. goto MINDEX
if .%1.==.-f. goto RUN
echo   Usage: ltx2pdf -f[i] filename [-opt "options"]
goto END
:MINDEX
set MINDEXFLAG=1
if exist %~n2.idx ( copy %~n2.idx %~n2.idx.bak ) else touch %~n2.idx.bak
goto RUN
:RUN
if .%3.==.-opt. goto WITHOPT
pdfclose --file %~n2.pdf
if exist %~n2.aux ( copy %~n2.aux %~n2.aux.bak ) else touch %~n2.aux.bak
pdflatex --interaction=nonstopmode --shell-escape %2
if %ERRORLEVEL%==0 goto SUCCESS
goto ERROR
:WITHOPT
pdfclose --file %~n2.pdf
pdflatex --interaction=nonstopmode --shell-escape %4 %2
if %ERRORLEVEL%==0 goto SUCCESS
goto ERROR
:ERROR
echo +++++++++++++++++ ltx2pdf message ++++++++++++
echo Some errors occurred. check the log file
goto END
:SUCCESS
if %MINDEXFLAG%==%EMPZR% goto NORERUNMINDEX
call isbigger %~n2.idx %~n2.idx.bak
echo %BIGGERRESULT%
if %BIGGERRESULT% EQU %EMPMP% goto NORERUNMINDEX
if %MINDEXFLAG%==%EMPMP% makeindex-dhucs -s dhucs.ist %~n2
copy %~n2.idx %~n2.idx.bak
goto NORERUNMINDEX
:NORERUNMINDEX
call isbigger %~n2.aux %~n2.aux.bak
echo %BIGGERRESULT%
rem for debuggin' pause here
if %BIGGERRESULT% EQU %EMPMP% (goto LAST)
copy /Y %~n2.aux %~n2.aux.bak
if .%3.==.-opt. goto RERUNWITHOPT
goto RERUN
:RERUNWITHOPT
pdflatex --interaction=nonstopmode --shell-escape %4 %2
if %ERRORLEVEL%==0 goto SUCCESS
goto ERROR
:RERUN
pdflatex --interaction=nonstopmode --shell-escape %2
if %ERRORLEVEL%==0 goto SUCCESS
goto ERROR
:LAST
pdfopen --file %~n2.pdf
if exist %~n2.aux.bak del /Q %~n2.aux.bak
if exist %~n2.idx.bak del /Q %~n2.idx.bak
set MINDEXFLAG=
set EMPMP=
set EMPZR=
:END
